## d-shlibs 0.74

=== debian/changelog ===
d-shlibs (0.74) unstable; urgency=medium

  * Adjust resolv quirk to cover libresolv2.1 (seen on alpha).

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2016 14:47:49 +0200

d-shlibs (0.73) unstable; urgency=medium

  * Fix exosip and ucommon quirks.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Apr 2016 12:59:44 +0200

d-shlibs (0.72) unstable; urgency=medium

  * Add libexosip and libosib quirks.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Apr 2016 10:21:55 +0200

d-shlibs (0.71) unstable; urgency=medium

  * Update libav*/postproc/swresample/swscale (a.k.a. ffmpeg) quirk.
    Closes: Bug#821422. Thanks to Sebastian Ramacher.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Apr 2016 18:58:34 +0200

d-shlibs (0.70) unstable; urgency=medium

  * Add graphviz quirk. Thanks to Héctor Orón.
  * Add Genome MUSCLE hts quirks.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Apr 2016 13:36:51 +0200

d-shlibs (0.69) unstable; urgency=medium

  * Fix tidy pthread quirk.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Apr 2016 22:03:02 +0200

d-shlibs (0.68) unstable; urgency=medium

  * Add av*/swscale anl curl4-openssl ctpp2 editorconfig gmp re rem ls
    opencore-amr* pjproject portaudio pugixml sdl2 secp256k1 sipwitch
    speexdsp srtp v4l quirks.
  * Declare compliance with Debian Policy 3.9.8.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Apr 2016 16:41:36 +0200

d-shlibs (0.67) unstable; urgency=medium

  [ Tobias Frost ]
  * Team upload. (collab-maint)
  * Update quirk for libpng16 -- dev package have been renamed to just
    libpng-dev. (Closes: #810095)

  [ Vasudev Kamath ]
  * Fix the Vcs-Git URL to point to right repository path.
  * Change my email address in Uploaders field.

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Apr 2016 16:12:43 +0200

=== debian/control ===
Source: d-shlibs
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Andreas Tille <tille@debian.org>,
 Hector Oron <zumbi@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 devscripts,
 shellcheck
Vcs-Git: https://anonscm.debian.org/git/collab-maint/d-shlibs
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/d-shlibs.git
Standards-Version: 3.9.8

Package: d-shlibs
Architecture: all
Depends: ${misc:Depends}, binutils, apt
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: Debian shared library package building helper scripts
 Shared library packages in Debian need some special catering to do with
 regards to which files go where. This package contains programs which
 try to help automate the process and catch simple errors
 .
 "d-shlibmove" moves the shared library binary around from temporary
 installation directory to the  destination package directory.
 .
 "d-devlibdeps" tries to list the development library dependencies
 required for using the -dev package.

## d-shlibs 0.76

=== debian/changelog ===
d-shlibs (0.76) unstable; urgency=medium

  [ Andreas Tille ]
  * Add override for libf2c2-dev

  [ Jonas Smedegaard ]
  * Fix use "read -r". Closes: Bug#835699.
    Thanks to shellcheck and Lucas Nussbaum.
  * Modernize CDBS: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 29 Aug 2016 11:48:17 +0200

d-shlibs (0.75) unstable; urgency=medium

  * Fix boost quirk for libraries with underscore/hyphen.
  * Extend ld quirk to cover ppc64el, ppc64, s390x and kfreebsd-amd64.
    Thanks to Christian Seiler and Andreas Tille.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jun 2016 17:06:40 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010-2016 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for d-shlibs
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# Build-depend unversioned on debhelper
#  TODO: Drop when adopted in cdbs
CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper

CDBS_BUILD_DEPENDS +=, shellcheck

DEB_MAKE_CHECK_TARGET = check
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_make_curdestdir)

DEB_INSTALL_MANPAGES_d-shlibs = d-shlibmove.1 d-devlibdeps.1

## d-shlibs 0.79

=== debian/changelog ===
d-shlibs (0.79) unstable; urgency=medium

  * Add libraptor2 quirk.
  * Modernize git-buildpackage config: Filter any .git* file.
  * Drop obsolete lintian override regarding debhelper 9.
  * Update copyright info: Extend coverage for myself.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Jan 2017 12:11:52 +0100

d-shlibs (0.78) unstable; urgency=medium

  * Add quirks for libgif libfontforge (libgioftp libgunicode libgutils)
    libopus libpython libreadline libspiro libuninameslist
    libvo-amrwbenc.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Nov 2016 11:32:12 +0100

d-shlibs (0.77) unstable; urgency=medium

  * Fix override for libprotobuf-dev

 -- Andreas Tille <tille@debian.org>  Mon, 05 Sep 2016 08:34:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- devscripts,
+ licensecheck,
  shellcheck
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/d-shlibs
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/d-shlibs.git

=== debian/pbuilder-test/02_uppercase.d/debian/control ===
Source: libuppercase
Section: libs
Priority: standard
Build-Depends: debhelper (>= 5)
Maintainer: dancerj
Standards-Version: 3.7.2

Package: libuppercase1
Architecture: any
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Description: test

Package: libuppercase1-dev
Architecture: any
Section: libdevel
Priority: optional
Depends: libuppercase1 (= ${Source-Version})
Conflicts: libuppercase-dev
Provides: libuppercase-dev
Description: test

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2010-2016 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2010-2017 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for d-shlibs
 #
 # This program is free software; you can redistribute it and/or modify
@@ -20,10 +20,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-# Build-depend unversioned on debhelper
-#  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
-
 CDBS_BUILD_DEPENDS +=, shellcheck
 
 DEB_MAKE_CHECK_TARGET = check

## d-shlibs 0.79ubuntu1

=== debian/changelog ===
d-shlibs (0.79ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ignore ld64-1-dev, in addition to ld64-2-dev.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 08 Jan 2017 11:50:46 +0530

d-shlibs (0.78ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ignore ld64-1-dev, in addition to ld64-2-dev.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 05 Jan 2017 19:16:36 +0100

d-shlibs (0.77ubuntu1) zesty; urgency=medium

  * Ignore ld64-1-dev, in addition to ld64-2-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Oct 2016 12:52:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Andreas Tille <tille@debian.org>,
  Hector Oron <zumbi@debian.org>,
  Vasudev Kamath <vasudev@copyninja.info>

## d-shlibs 0.81

=== debian/changelog ===
d-shlibs (0.81) unstable; urgency=medium

  * Use mktemp (not tempfile, deperecated according to shellcheck).
    Closes: Bug#867580. Thanks to Adrian Bunk.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Jul 2017 17:23:24 +0200

d-shlibs (0.80) unstable; urgency=medium

  [ Andreas Tille ]
  * Add quirks for libdcmtk (libdcm.* libof) libjsoncpp libpvm libcblas
    libblas liblapack libbpp libglpk libmbedtls libhdf.
  * Extend quirks for libgcc (libquadmath) libqt4 (libQTGui4) libicu.

  [ Jonas Smedegaard ]
  * Extend ld quirk.
    Thanks to Adrian Bunk.
  * Modernize cdbs:
    + Do copyright-check in maintainer script (not during build).
    + Stop build-depend on licensecheck.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Jun 2017 19:57:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders: Andreas Tille <tille@debian.org>,
  Hector Oron <zumbi@debian.org>,
  Vasudev Kamath <vasudev@copyninja.info>
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- licensecheck,
  shellcheck
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/d-shlibs
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/d-shlibs.git
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 
 Package: d-shlibs
 Architecture: all

## d-shlibs 0.82

=== Makefile ===
installdir:=install -d -m 755
installbin:=install -m 755

all:


check:
	bash -n d-shlibmove
	bash -n d-devlibdeps
	shellcheck d-shlibmove
	shellcheck d-devlibdeps

test-build:
	mkdir TESTS
	( cd TESTS; \
	for PKG in dancer-xml dlisp libdshconfig libgtkdatabox ; do \
	( mkdir $$PKG ; cd $$PKG ; apt-get source $$PKG; cd */ ; /usr/bin/debuild -us -uc ; debc; ) ; \
	done ) 2>&1 | tee tests.log

install: check
	$(installdir) $(DESTDIR)/usr/bin/
	$(installbin) d-shlibmove $(DESTDIR)/usr/bin/d-shlibmove
	$(installbin) d-devlibdeps $(DESTDIR)/usr/bin/d-devlibdeps

clean:
	-rm -f *~
	-rm -rf TESTS

=== debian/changelog ===
d-shlibs (0.82) unstable; urgency=medium

  * Fix quirk for libbpp-*-dev
  * Add quirk for libQt5* (needed in libbpp-qt-dev)
  * Moved packaging from Alioth to Salsa
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Thu, 22 Mar 2018 10:08:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
  debhelper,
  dh-buildinfo,
  shellcheck
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/d-shlibs
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/d-shlibs.git
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
+Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git
 
 Package: d-shlibs
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/utils.mk
 
 CDBS_BUILD_DEPENDS +=, shellcheck

## d-shlibs 0.82+nmu1~mx15+1

=== debian/changelog ===
d-shlibs (0.82+nmu1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Dec 2018 16:42:21 -0800

d-shlibs (0.82+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Alexander Volkov ]
  * Make shellcheck build-dependency optional as it is a test-only
    build-dependency.  Furthermore, ensure that tests are not run
    under "DEB_BUILD_OPTIONS=nocheck".

  [ Simon McVittie ]
  * Add quirk for libfribidi-dev.  (Closes: #901771)
  * Fix parsing of "--".
  * Fix shell-check warnings.  (Closes: #897539)

  [ Niels Thykier ]
  * Set Rules-Requires-Root to no as d-shlibs do not need (fake)root
    for building .debs.

 -- Niels Thykier <niels@thykier.net>  Tue, 07 Aug 2018 11:01:54 +0000

## d-shlibs 0.82+nmu1~mx17+1

=== debian/changelog ===
d-shlibs (0.82+nmu1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Dec 2018 16:42:21 -0800

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
-CDBS_BUILD_DEPENDS +=, shellcheck
+CDBS_BUILD_DEPENDS +=, shellcheck <!nocheck>
 
 DEB_MAKE_CHECK_TARGET = check
 DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(cdbs_make_curdestdir)

## d-shlibs 0.82+nmu1

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- shellcheck
+ shellcheck <!nocheck>
 Standards-Version: 4.1.3
 Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
 Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git
+Rules-Requires-Root: no
 
 Package: d-shlibs
 Architecture: all

## d-shlibs 0.84

=== debian/changelog ===
d-shlibs (0.84) unstable; urgency=medium

  * Add quirk for libsvm3-dev
    Closes: #918251
  * Enable using d-shlibs also for non-free/libs
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 14:07:12 +0100

d-shlibs (0.83) unstable; urgency=medium

  [ Andreas Tille ]
  * Extend quirk for htslib to cover any single-digit API.

  [ Ondřej Nový ]
  * Update copyright info: Use https protocol in Format field.
  * Strip trailing whitespaces in changelog file.

  [ Jonas Smedegaard ]
  * Acknowledge NMU.
    Thanks to Alexander Volkov, Simon McVittie, and Niels Thykier.
  * Simplify calls to apt-cache
    (reverting obsolete workaround for bug#630591).
    Closes: Bug#636919, #916856. Thanks to Лухнов Андрей Олегович.
  * Relax quirk for libavahi* to cover stretch.
    Closes: Bug#915665. Thanks to Peter Holmberg.
  * Simplify rules:
    + Stop resolve build-dependencies in rules file.
    + Use short-form dh sequencer.
      Stop build-depend on cdbs.
  * Stop build-depend on dh-buildinfo.
  * Wrap and sort control file.
  * Tighten lintian overrides regarding License-Reference.
  * Update copyright info:
    + Strip superfluous copyright signs.
    + Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Dec 2018 19:25:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,26 @@
 Section: utils
 Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
-Uploaders: Andreas Tille <tille@debian.org>,
+Uploaders:
+ Andreas Tille <tille@debian.org>,
  Hector Oron <zumbi@debian.org>,
- Vasudev Kamath <vasudev@copyninja.info>
-Build-Depends: cdbs,
+ Vasudev Kamath <vasudev@copyninja.info>,
+Build-Depends:
  debhelper,
- dh-buildinfo,
- shellcheck <!nocheck>
-Standards-Version: 4.1.3
+ shellcheck <!nocheck>,
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
 Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git
 Rules-Requires-Root: no
 
 Package: d-shlibs
 Architecture: all
-Depends: ${misc:Depends}, binutils, apt
-Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ apt,
+ binutils,
+ ${misc:Depends},
+Pre-Depends:
+ ${misc:Pre-Depends},
 Multi-Arch: foreign
 Description: Debian shared library package building helper scripts
  Shared library packages in Debian need some special catering to do with

## d-shlibs 0.84ubuntu2

=== debian/changelog ===
d-shlibs (0.84ubuntu2) disco; urgency=medium

  * Update the quirk for libreadline-dev.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 15 Jan 2019 11:14:36 +0100

## d-shlibs 0.86

=== debian/changelog ===
d-shlibs (0.86) unstable; urgency=medium

  * Use debhelper compatibility level 10 (not 9).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 26 Jul 2019 16:57:17 -0300

d-shlibs (0.85) unstable; urgency=medium

  * Add xlibmesa-gl quirk.
  * Relax readline quirk to cover API 8. Closes:
    Bug#932632. Thanks to Matthias Klose.
  * Declare compliance with Debian Policy 4.4.0.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2019 20:27:13 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper,
  shellcheck <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
 Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git
 Rules-Requires-Root: no

## d-shlibs 0.88~mx19+1

=== debian/changelog ===
d-shlibs (0.88~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 12 Feb 2020 14:51:28 -0800

d-shlibs (0.88) unstable; urgency=medium

  * Add python3 quirk.
    Closes: Bug#943997. Thanks to Hideki Yamane.
  * Declare compliance with Debian Policy 4.4.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Nov 2019 19:22:23 +0100

d-shlibs (0.87) unstable; urgency=medium

  * Relax spiro quirk to cover API 1.
    Closes: Bug#939578. Thanks to Sebastian Ramacher.
  * Fix update tinfo quirk to cover API 6 (not 5).
  * List tracker.debian.org page as homepage.
  * Update copyright info: Use salsa.debian.org page as Source URL.
  * Drop virtually empty README file.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2019 21:38:06 +0200

=== debian/control ===
Source: d-shlibs
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Hector Oron <zumbi@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>,
Build-Depends:
 debhelper,
 shellcheck <!nocheck>,
Standards-Version: 4.4.1
Homepage: https://tracker.debian.org/pkg/d-shlibs
Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git
Rules-Requires-Root: no

Package: d-shlibs
Architecture: all
Depends:
 apt,
 binutils,
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: foreign
Description: Debian shared library package building helper scripts
 Shared library packages in Debian need some special catering to do
 with regards to which files go where.
 This package contains programs which try to help automate the process
 and catch simple errors
 .
 "d-shlibmove" moves the shared library binary around
 from temporary installation directory
 to the  destination package directory.
 .
 "d-devlibdeps" tries to list the development library dependencies
 required for using the -dev package.

## d-shlibs 0.88

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: d-shlibs
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
+Maintainer: Jonas Smedegaard <dr@jones.dk>
 Uploaders:
  Andreas Tille <tille@debian.org>,
  Hector Oron <zumbi@debian.org>,

## d-shlibs 0.89

=== debian/changelog ===
d-shlibs (0.89) unstable; urgency=medium

  * update python3 quirk to cover python 3.8;
    closes: bug#949793, thanks to Matthias Klose
  * declare compliance with Debian Policy 4.5.0

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Mar 2020 06:22:33 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper,
  shellcheck <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://tracker.debian.org/pkg/d-shlibs
 Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
 Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git

## d-shlibs 0.94

=== debian/changelog ===
d-shlibs (0.94) unstable; urgency=medium

  * fix python3 quirk;
    closes: bug#949793, thanks to John van der Kamp
  * simplify source script copyright-check
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Aug 2020 11:14:33 +0200

d-shlibs (0.93) unstable; urgency=medium

  * add quirk for libharfbuzz;
    closes: bug#962719, thanks to John Paul Adrian Glaubitz

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jun 2020 22:53:11 +0200

d-shlibs (0.92) unstable; urgency=medium

  * use source git branch debian/master (not master)
  * add quirk for libwoff;
    closes: bug#962046, thanks to Hideki Yamane
  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Jun 2020 17:45:16 +0200

d-shlibs (0.91) unstable; urgency=medium

  * add quirks for libnspr4-dev libnss3-dev

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Apr 2020 15:47:56 +0200

d-shlibs (0.90) unstable; urgency=medium

  * add quirk for libutil1-dev (libc6);
    closes: bug#954167, thanks to John Paul Adrian Glaubitz

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Mar 2020 20:00:29 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Hector Oron <zumbi@debian.org>,
  Vasudev Kamath <vasudev@copyninja.info>,
 Build-Depends:
- debhelper,
+ debhelper-compat (= 12),
  shellcheck <!nocheck>,
 Standards-Version: 4.5.0
 Homepage: https://tracker.debian.org/pkg/d-shlibs

## d-shlibs 0.95

=== debian/changelog ===
d-shlibs (0.95) unstable; urgency=medium

  * update python3 quirk to cover python 3.9;
    closes: bug#972766, thanks to Matthias Klose

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Oct 2020 13:14:58 +0200

## d-shlibs 0.96

=== debian/changelog ===
d-shlibs (0.96) unstable; urgency=medium

  * update jsoncpp quirk to cover any digits-only SONAME;
    closes: bug#976411, thanks to Gianfranco Costamagna

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 04 Dec 2020 21:46:57 +0100

## d-shlibs 0.98

=== debian/changelog ===
d-shlibs (0.98) unstable; urgency=medium

  * fix quirk for PCRE2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Dec 2020 14:35:41 +0100

d-shlibs (0.97) unstable; urgency=medium

  * add quirks for Hunspell minisat2 PCRE2 SQLite3
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Dec 2020 21:25:24 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  shellcheck <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://tracker.debian.org/pkg/d-shlibs
 Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
 Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git

## d-shlibs 0.99

=== debian/changelog ===
d-shlibs (0.99) unstable; urgency=medium

  * fix silence core linker for kFreeBSD
  * add quirk for musl;
    closes: bug#987950, thanks to Helmut Grohne
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 May 2021 16:13:19 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Hector Oron <zumbi@debian.org>,
  Vasudev Kamath <vasudev@copyninja.info>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  shellcheck <!nocheck>,
 Standards-Version: 4.5.1
 Homepage: https://tracker.debian.org/pkg/d-shlibs

## d-shlibs 0.104

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	( mkdir $$PKG ; cd $$PKG ; apt-get source $$PKG; cd */ ; /usr/bin/debuild -us -uc ; debc; ) ; \
 	done ) 2>&1 | tee tests.log
 
-install: check
+install:
 	$(installdir) $(DESTDIR)/usr/bin/
 	$(installbin) d-shlibmove $(DESTDIR)/usr/bin/d-shlibmove
 	$(installbin) d-devlibdeps $(DESTDIR)/usr/bin/d-devlibdeps

=== debian/changelog ===
d-shlibs (0.104) unstable; urgency=medium

  * use semantic newlines in long description
  * add quirks for cholmod deflate fml genome gfortran gkarrays gsl
    htscodecs maus2 muscle ncurses nettle pbbam pbcopper ProgressBar0
    ssw tinyxml znz zstd;
  * extend quirk for hdf5_serial to cover any suffix
  * extend quirk for mbed to cover dot and dash (see bug#999788)
  * extend quirks for glpk re rem to cover any trailing version

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Nov 2021 17:22:32 +0100

d-shlibs (0.103) unstable; urgency=medium

  * fix have autopkgtest depend on libc6-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Oct 2021 22:04:29 +0200

d-shlibs (0.102) unstable; urgency=medium

  * fix typos in regex;
    closes: bug#996012, #995972,
    thanks to Helmut Grohne and Laurent Bigonville
  * convert custom tests into autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Oct 2021 08:36:48 +0200

d-shlibs (0.101) unstable; urgency=medium

  * fix extend quirks libnspr4 libnss3;
    closes: bug#995972, thanks to Laurent Bigonville

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Oct 2021 11:45:55 +0200

d-shlibs (0.100) unstable; urgency=medium

  * fix extend ld quirk to cover kfreebsd-amd64
  * declare compliance with Debian Policy 4.6.0
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 16 Sep 2021 23:52:05 +0200

=== debian/control ===
Source: d-shlibs
Section: utils
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders:
 Andreas Tille <tille@debian.org>,
 Hector Oron <zumbi@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>,
Build-Depends:
 debhelper-compat (= 13),
 shellcheck <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://tracker.debian.org/pkg/d-shlibs
Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git
Rules-Requires-Root: no

Package: d-shlibs
Architecture: all
Depends:
 apt,
 binutils,
 ${misc:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: foreign
Description: Debian shared library package building helper scripts
 Shared library packages in Debian need some special catering
 to do with regards to which files go where.
 This package contains programs
 which try to help automate the process
 and catch simple errors.
 .
  * "d-shlibmove" moves the shared library binary around
    from temporary installation directory
    to the  destination package directory.
  * "d-devlibdeps" tries to list the development library dependencies
    required for using the -dev package.

## d-shlibs 0.105

=== debian/changelog ===
d-shlibs (0.105) unstable; urgency=medium

  * add quirk for leptonica

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Sep 2023 21:58:30 +0200

## d-shlibs 0.106

=== debian/changelog ===
d-shlibs (0.106) unstable; urgency=medium

  * Do not check for "Section: libs" in Package if it was defined in Source
    before
  * Standards-Version: 4.6.2
  * Add t64 suffix to package names for 64-bit time_t transition

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 08:35:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  shellcheck <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://tracker.debian.org/pkg/d-shlibs
 Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
 Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git

=== debian/tests/control ===
# TODO: support non-symlink *.so files
#Test-Command:
# set +e;
# cd debian/tests/ncurses.d &&
# d-shlibmove /usr/lib/*/libncurses.so;
# case $? in
#  2) exit 0 ;;
#  *) exit 1 ;;
# esac
#Depends:
# d-shlibs,
# libncurses-dev,

Test-Command:
 set +e;
 cd debian/tests/uppercase.d &&
 gcc -shared -Wl,--soname="libUppercase.so.1" -o $AUTOPKGTEST_TMP/libUppercase.so.1.0.0 &&
 ln -s libUppercase.so.1.0.0 $AUTOPKGTEST_TMP/libUppercase.so &&
 d-shlibmove $AUTOPKGTEST_TMP/libUppercase.so;
 case $? in
  2) exit 0 ;;
  *) exit 1 ;;
 esac
Depends:
 d-shlibs,
 gcc,
 libc6-dev,

# TODO: modernize...
#Test-Command:
# make test-build

## d-shlibs 0.107

=== debian/changelog ===
d-shlibs (0.107) unstable; urgency=medium

  * declare compliance with Debian Policy 4.7.0
  * extend quirk for leptonica to cover newer Soname
    (see bug#1081968)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Sep 2024 23:58:46 +0200

## d-shlibs 0.108

=== debian/changelog ===
d-shlibs (0.108) unstable; urgency=medium

  * extend quirk for non-linux ld to cover the Hurd on x86-64;
    closes: bug#1088924, thanks to Samuel Thibault

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 03 Dec 2024 07:52:29 +0100

## d-shlibs 0.109~mx23

=== debian/changelog ===
d-shlibs (0.109~mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 04 Feb 2025 18:02:49 +0000

d-shlibs (0.109) unstable; urgency=medium

  * extend quirk for leptonica to cover newer Soname

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Dec 2024 01:30:09 +0100

## d-shlibs 0.109

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  shellcheck <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://tracker.debian.org/pkg/d-shlibs
 Vcs-Browser: https://salsa.debian.org/debian/d-shlibs
 Vcs-Git: https://salsa.debian.org/debian/d-shlibs.git

## d-shlibs 0.109build1

=== debian/changelog ===
d-shlibs (0.109build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 16 Jan 2026 20:31:06 +0000
